version: "3.8"

services:
  minio:
    image: ${MINIO_IMAGE}
    container_name: "${COMPOSE_PROJECT_NAME}_minio"
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=backend"
      - "traefik.http.routers.minio.rule=Host(`${FQDN:?err}`) && Path(`/minio`)"
      - "traefik.http.routers.minio.entrypoints=websecure"
      - "traefik.http.routers.minio.tls.certresolver=route53"
      - "traefik.http.routers.minio.tls=true"
      - "traefik.http.middlewares.minio-strip.stripprefix.prefixes=/minio"
      - "traefik.http.routers.minio.middlewares=minio-strip"
    networks:
      - backend
    environment:
      - MINIO_ROOT_USER=${MINIO_ROOT_USER}
      - MINIO_ROOT_PASSWORD=${MINIO_ROOT_PASSWORD}
      - MINIO_DEFAULT_BUCKETS=${MINIO_DEFAULT_BUCKETS}
    ports:
      - "9000:9000"
      - "9001:9001"
    volumes:
      - minio_data:/data

  postgres:
    image: postgres:12
    container_name: "${COMPOSE_PROJECT_NAME}_postgres"
    networks:
      - backend
    ports:
      - "5432:5432"
    volumes:
      - postgres_data:/var/lib/postgresql/data
    environment:
      - POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
      - POSTGRES_USER=${POSTGRES_USER}
      - POSTGRES_DB=${POSTGRES_DB}

volumes:
  minio_data:
    name: "minio-data"
    driver: local
  postgres_data:
    name: "postgres-data"
    driver: local